interface Props {
  segs: number;
}

const TimerWidget = ({ segs }: Props) => (
  <svg viewBox="0 0 90 50" style={{ width: "100%", height: "100%" }}>
    {[5, 4, 3, 2, 1, 2, 3, 4, 5].map((seg, i) => (
      <rect
        x={i * 10}
        y="0"
        width="10"
        height="5"
        key={i}
        fill={seg <= segs ? "yellow" : "black"}
        stroke="blue"
      />
    ))}
  </svg>
);

export default TimerWidget;
